<bugID>1248988<Summary>User-facing terminology for memory tool</Summary><Description>The terminology in the memory tools reflects the internals of the code, and isn't necessarily geared toward the end users. In order to fix this we can do an audit of the terminology used and make it consistent and simple, but still technically accurate. For instance there is the phrase "Saving census" which could be rephrased to "Saving report".</Description></bugID>